Classes | Functions
RagTime5GraphInternal Namespace Reference

Internal: the structures of a RagTime5Graph. More...

## Classes
struct | ClusterGraphic
| the shape cluster More...
struct | ClusterPicture
| the picture cluster More...
struct | ClustListParser
| Internal: the helper to read a clustList. More...
struct | FloatParser
| Internal: the helper to read a int16 float. More...
struct | GraphicCParser
| low level: parser of graph cluster More...
struct | IntListParser
| Internal: the helper to read an integer list. More...
struct | PictCParser
| low level: parser of picture cluster More...
struct | Shape
| Internal: the shape of a RagTime5Graph. More...
struct | State
| Internal: the state of a RagTime5Graph. More...
class | SubDocument
| Internal: the subdocument of a RagTime5Graph. More...

## Functions
std::ostream & | operator<< (std::ostream &o, Shape const &shape)

## Detailed Description

Internal: the structures of a RagTime5Graph.

## Function Documentation

## ◆ operator<<()

std::ostream& RagTime5GraphInternal::operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |

Referenced by RagTime5GraphInternal::Shape::getBdBox().